SeExpr

Public Member Functions | Private Attributes | List of all members
SeExpr2::SpecExaminer Class Reference

Examiner that builds a list of specs potentially used in widgets (for qdgui) More...

`#include <ControlSpec.h>`

Inheritance diagram for SeExpr2::SpecExaminer:

## Public Member Functions
| ~SpecExaminer ()
virtual bool | examine (const ExprNode *examinee)
virtual void | reset ()
int | length () const
const ControlSpec * | spec (int i) const
std::vector< const ControlSpec * >::const_iterator | begin () const
const std::vector< const ControlSpec * >::const_iterator | end () const
Public Member Functions inherited from SeExpr2::Examiner< true >
virtual bool | examine (T_NODE *examinee)=0
virtual void | post (T_NODE *examinee)

## Private Attributes
std::vector< const ControlSpec * > | _specList

## Additional Inherited Members
Public Types inherited from SeExpr2::Examiner< true >
typedef ADD_CONST< ExprNode, constnode >::TYPE | T_NODE

## Detailed Description

Examiner that builds a list of specs potentially used in widgets (for qdgui)

Definition at line 124 of file ControlSpec.h.

## Constructor & Destructor Documentation

## ◆ ~SpecExaminer()

SeExpr2::SpecExaminer::~SpecExaminer | ( |  | ) |

Definition at line 32 of file ControlSpec.cpp.

References _specList.

## Member Function Documentation

## ◆ begin()

std::vector< const ControlSpec * >::const_iterator SeExpr2::SpecExaminer::begin | ( |  | ) | const
| inline

Definition at line 59 of file ControlSpec.cpp.

References _specList.

## ◆ end()

const std::vector< const ControlSpec * >::const_iterator SeExpr2::SpecExaminer::end | ( |  | ) | const
| inline

Definition at line 63 of file ControlSpec.cpp.

References _specList.

## ◆ examine()

bool SeExpr2::SpecExaminer::examine | ( | const ExprNode * | examinee | ) |
| virtual

Definition at line 38 of file ControlSpec.cpp.

References _specList, SeExpr2::ExprScalarAssignSpec::match(), SeExpr2::ExprVectorAssignSpec::match(), and SeExpr2::ExprStrSpec::match().

## ◆ length()

int SeExpr2::SpecExaminer::length | ( |  | ) | const
| inline

Definition at line 133 of file ControlSpec.h.

References _specList.

## ◆ reset()

virtual void SeExpr2::SpecExaminer::reset | ( |  | ) |
| inline virtual

Implements SeExpr2::Examiner< true >.

Definition at line 130 of file ControlSpec.h.

References _specList.

## ◆ spec()

const ControlSpec* SeExpr2::SpecExaminer::spec | ( | int | i | ) | const
| inline

Definition at line 136 of file ControlSpec.h.

References _specList.

## Member Data Documentation

## ◆ _specList

std::vector<const ControlSpec*> SeExpr2::SpecExaminer::_specList
| private

Definition at line 143 of file ControlSpec.h.

Referenced by begin(), end(), examine(), length(), reset(), spec(), and ~SpecExaminer().

The documentation for this class was generated from the following files:

- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ControlSpec.h
- /build/seexpr/src/SeExpr/src/SeExpr2/UI/ControlSpec.cpp